package com.mcwl.resource.service;

import com.mcwl.common.core.domain.R;
import com.mcwl.resource.domain.DownloadRecord;
import com.mcwl.resource.domain.request.RequestDownload;
import com.mcwl.resource.domain.vo.PageVo;

/**
 * @author DaiZibo
 * @date 2025/3/6
 * @apiNote
 */


public interface DownloadRecordService {
    R addDownloadRecord(DownloadRecord downloadRecord);

    R selectDownloadRecord(PageVo pageVo);

    R updateDownloadRecord(DownloadRecord downloadRecord);

    R deleteDownloadRecord(String ids);

    Integer selectDownloadByUser(Long userIdMax, Long id, int i);

    R selectByFileName(RequestDownload requestDownload);
}
